Package org.gradle.tooling.events.task

## Interface TaskSkippedResult

- All Superinterfaces:
    `OperationResult`, `SkippedResult`, `TaskOperationResult`

      public interface TaskSkippedResult
      extends TaskOperationResult, SkippedResult

  Describes how a task operation was skipped.
  Since:
    2.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSkipMessage()` | Returns a message describing the reason for skipping the task.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationResult

      `getEndTime, getStartTime`

- - ### Method Detail

    - #### getSkipMessage

          java.lang.String getSkipMessage()

      Returns a message describing the reason for skipping the task.
      Returns:
        the message describing the skip reason